Subject: [Mitbadminton] badminton and others

From: Yu Pu <[email-masked]>
Date: Sat, 10 Jun 2006 10:29:20 -0400

Hi all,

I just checked the front desk of Zesiger Center. The Rockwell Cage won't be
available till Monday June 12th. So again, no badminton activities will be held
this weekend. Sorry about that.

One more thing, I'll be out of town June 15th-July 24th. During this time period
I won't be able to make reservations for badminton courts as usual. I would
encourage that when any of you make a reservation, please send a group email to
[email-masked] and invite other club members to join you. The phone number
for the court reservation is 617-253-9485.

Sorry for any inconveniences. Wish all of you a cool and fun summer!

Best,
Yu